Platform Management API
POST /services/platforms/v1/smart-filter/get Auth

Get Smart Filter

Request Body Required

FieldTypeRequiredDescriptionExample
type string Yes analytics
project_id integer No 1
limit number No 10
sortKey string
label, id
Yes label
sortOrder string
asc, desc
Yes desc

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
data object
data.current_page integer
data.data object[]
data.first_page_url string
data.from integer|null
data.last_page integer
data.last_page_url string
data.links object
data.next_page_url string|null
data.path string|null
data.per_page integer
data.prev_page_url string|null
data.to integer|null
data.total integer
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/smart-filter/get" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "analytics",
    "project_id": 1,
    "limit": 10,
    "sortKey": "label",
    "sortOrder": "desc"
}'
fetch('https://api.wemasy.nl/api/services/platforms/v1/smart-filter/get', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "type": "analytics",
    "project_id": 1,
    "limit": 10,
    "sortKey": "label",
    "sortOrder": "desc"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/platforms/v1/smart-filter/get', {
    "type": "analytics",
    "project_id": 1,
    "limit": 10,
    "sortKey": "label",
    "sortOrder": "desc"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "type": "analytics",
    "project_id": 1,
    "limit": 10,
    "sortKey": "label",
    "sortOrder": "desc"
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/smart-filter/get", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "data": {
        "current_page": 1,
        "data": [],
        "first_page_url": "https://api.wemasy.nl/services/platforms/v1/smart-filter/get?page=1",
        "from": 1,
        "last_page": 3,
        "last_page_url": "https://api.wemasy.nl/services/platforms/v1/smart-filter/get?page=3",
        "links": {},
        "next_page_url": "https://api.wemasy.nl/services/platforms/v1/smart-filter/get?page=2",
        "path": "https://api.wemasy.nl/services/platforms/v1/smart-filter/get",
        "per_page": 15,
        "prev_page_url": "string",
        "to": 15,
        "total": 45
    }
}

Try It
Request Body Required

Export